Class | Reference
In: | lib/supplemental/facets/reference.rb
Parent: | Object

# Reference

Reference provides a way to access object indirectly. This allows for the object itself to be changed on the fly.

      a = "HELLO"
      b = ref(a)
      b.to_s    #=> "HELLO"
      c = 10
      b.become(c)
      b.to_s    #=> "10"

TODO: Use BasicObject for Ruby 1.9.

### Methods

__value__ become instance_delegate method_missing new

### Public Class methods

new(obj)

### Public Instance methods

__value__()
become(obj)
instance_delegate()

Alias for #value

method_missing(*args, &block)

[Validate]